player = {}

function player.load()
	player.x = 0
	player.y = platformBottom
	player.yvel = 0
	player.gravvel = 0
	player.weight = 25
	player.hasWalked = 0
	player.loadGraphics()
end

function player.walkForwards()
	if player.hasWalked == 0 then
		if player.x <= ( love.graphics.getWidth() / 3 ) then
			player.x = player.x + 3
		else do
			player.hasWalked = 1
		end
		end
	end
end

function player.loadGraphics()
	player.img = love.graphics.newImage("img/player/Still.png")
end

function player.drawMain()
	love.graphics.draw(player.img, player.x - world.scX * 5, player.y - ( player.img:getHeight() * world.scY * 5 ), 0, world.scX * 5, world.scY * 5)
end

function player.physics(dt)
	player.y = player.y + player.yvel * dt
	player.gravvel = player.gravvel + player.weight * gravity * dt
end

function player.boundary(dt)
	if player.y >= platformBottom then
		player.y = platformBottom
	end
end

function DRAW_PLAYER()
	player.drawMain()
end

function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.walkForwards(dt)
	player.boundary(dt)
end
